/*
* This file is part of project OpenEmbroidery. It's copyrighted by
* the contributors recorded in the version control history of the file.
* Original project location https://code.electrolab.fr/openEmbroidery/openEmbroidery_software
*
* SPDX-License-Identifier: CECILL-2.1
* License-Filename: Licence_CeCILL_V2.1-en.txt
*/

#include "OE_thread.h"
#include "Archive.h"
#include <iostream>
#include <ctype.h>

float OE_thread::defaultWidth = 1;
OE_color OE_thread::defaultColor = OE_color(.1, .1, .1, 1.0);

OE_thread::OE_thread()
{
	width = defaultWidth;
	color = defaultColor;
}

OE_thread::OE_thread(OE_color color, float width)
{
	this->color = color;
	this->width = width;
}

/*
OE_thread::OE_thread(unsigned char r, unsigned char g, unsigned char b, float width)
{
	setColor( r, g, b);
	this->width = width;
}
*/

OE_thread::~OE_thread()
{
}

void OE_thread::persist(Pakal::Archive* archive)
{
	//archive->set_type_name("OE_thread");
	archive->value("color", color);
	archive->value("width", width);
}

OE_color OE_thread::getColor()
{
	return color;
}

void  OE_thread::setColor(OE_color color)
{
	this->color = color;
}

void  OE_thread::setWidth(float width)
{
	this->width = width;
}

float OE_thread::getWidth()
{
	return width;
}

